Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class PrimaryKey

    java.lang.Object
      org.apache.openjpa.jdbc.schema.Constraint
          org.apache.openjpa.jdbc.schema.LocalConstraint
              org.apache.openjpa.jdbc.schema.PrimaryKey

    public class PrimaryKey

extends LocalConstraint

Represents a table primary key. It can also represent a partial key, aligning with the key information available from `DatabaseMetaData`.

Author:
  Abe White

Constructor Summary
`PrimaryKey()` Default constructor.
`PrimaryKey(String name, Table table)` Constructor.

Method Summary
`void` | `addColumn(Column col)` Add a column to the constraint.
`void` | `deref()`
`boolean` | `equalsPrimaryKey(PrimaryKey pk)` Return true if the structure of this primary key matches that of the given one (same table, same columns).
`int` | `getRefCount()`
`boolean` | `isLogical()` Return whether this constraint is a logical constraint only; i.e.
`void` | `ref()`
`void` | `setLogical(boolean logical)`

Methods inherited from class org.apache.openjpa.jdbc.schema.LocalConstraint
`columnsMatch, containsColumn, derefColumns, equalsLocalConstraint, getColumns, refColumns, removeColumn, setColumns`

Methods inherited from class org.apache.openjpa.jdbc.schema.Constraint
`getColumnName, getFullName, getName, getSchemaName, getTable, getTableName, isDeferred, setColumnName, setDeferred, setName, setSchemaName, setTableName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrimaryKey

    public PrimaryKey()

  Default constructor.

### PrimaryKey

    public PrimaryKey(String name,
                      Table table)

  Constructor.

  Parameters:
    `name` - the name of the primary key, if any
    `table` - the table of the primary key

Method Detail

### isLogical

    public boolean isLogical()

  Description copied from class: `Constraint`
  Return whether this constraint is a logical constraint only; i.e. if it does not exist in the database.

  Specified by:
    `isLogical` in class `Constraint`

### setLogical

    public void setLogical(boolean logical)

### addColumn

    public void addColumn(Column col)

  Description copied from class: `LocalConstraint`
  Add a column to the constraint.

  Overrides:
    `addColumn` in class `LocalConstraint`

### equalsPrimaryKey

    public boolean equalsPrimaryKey(PrimaryKey pk)

  Return true if the structure of this primary key matches that of the given one (same table, same columns).

### getRefCount

    public int getRefCount()

### ref

    public void ref()

### deref

    public void deref()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.